Subject: [IPP] Re: Could HP help w/ DLNA section of IPP Everywhere?

From: Ira McDonald <[email-masked]>
Date: Mon, 26 Sep 2011 08:12:36 -0400

Hi Robert,

Thanks very much for your help.

I'm forwarding your reply to the IPP WG mailing list
to let others know.

Cheers,
- Ira

On Tue, Sep 20, 2011 at 5:28 PM, Roberts, Daniel (IWS-ProgMgr) <
[email-masked]> wrote:

>  HI Ira,****
>
> ** **
>
> Andrew Mitchell our architect had drafted the information you are looking
> for and put it in the UPnP Spec on the PWG site, prior to taking a new
> position in HP.  You can find the information here:
> ftp://ftp.pwg.org/pub/pwg/ipp/whitepaper/draft-upnpprinter2-2011510.pdf **
> **
>
> ** **
>
> Andrew said that he put the information in the UPnP Spec, but did not get a
> chance to add it to the IPP Everywhere spec where it belongs.****
>
> ** **
>
> You should know that this proposal is just being launched with UPnP.  I
> have been working with the UPnP Chair, Alan Messer, to bring up this new
> printer attribute in UPnP.  The challenge is to show the value in allowing
> IPP to manage the services, and only use UPnP for discovery – essentially
> replace what Bonjour(mDNS) does in IPP Everywhere and replace it with UPnP
> for the same actions.  Once we get approval, we can move quickly to get the
> IPP Everywhere standard to become the new DLNA print model.  Currently DLNA
> uses UPnP and XHTML-Print which is very limited in the files it can
> support.  Moving to this new model will be a great step forward and will
> open up printing in areas never before supported!****
>
> ** **
>
> Please let me know if there is anything I can to support the PWG.****
>
> ** **
>
> Best Regards,****
>
> ** **
>
> Daniel Roberts****
>
> IWS Entertainment Printing Program Manager****
>
> ** **
>
> *From:* Ira McDonald [mailto:[email-masked]]
> *Sent:* Tuesday, September 20, 2011 2:00 PM
> *To:* Roberts, Daniel (IWS-ProgMgr); Ira McDonald
> *Cc:* Michael Sweet; Paul Tykodi; Yousey, Marc; Mitchell, Andrew (Mobile
> Technology Consultant/iOS Architect)
> *Subject:* Re: Could HP help w/ DLNA section of IPP Everywhere?****
>
> ** **
>
> Hi Daniel,
>
> In the PWG's current IPP Everywhere project (lightweight, secure,
> mobile printing using IPP/2.0 w/ extensions), we have a brief section
> for each of several discovery protocols.
>
> The latest draft IPP Everywhere spec is at:
>
>   ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeve10-20110803.pdf
>
> It has a placeholder section 4.4 UPNP Discovery - this needs to be
> replaced by one or more paragraphs of text - and also renamed to
> DLNA Discovery, I think?
>
> If you look at Table 1 in section 4.1, a similar mapping table
> should be included in section 4.4 - otherwise Table 1 will become
> unreadable due to font size, I think.
>
> If you look at section 4.2 DNS Service Discovery (i.e., Bonjour),
> you can see the desired level of detail for the key device attributes.
>
> Note that section 4.3 LDAP and SLP Discovery simply references
> the existing LDAP Printer Schema (RFC 3712) - which normatively
> references the IANA-registered SLP Printer Schema.  Pat Fleming
> (IBM) and I are now revising RFC 3712 to add directory attributes
> (printer-uuid, printer-geo-location, and ipp-extensions-supported)
> that are all defined in the IPP Job and Printer Extensions Set 3 at:
>
>   ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v10-20110802.pdf
>
> Any help with DLNA/UPnP discovery description for IPP Everywhere
> would be much appreciated.
>
> Cheers,
> - Ira
>
>
> Ira McDonald (Musician / Software Architect)
> Chair - Linux Foundation Open Printing WG
> Co-Chair - IEEE-ISTO PWG IPP WG
> Chair - TCG Embedded Systems Hardcopy SWG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music/High North Inc
> http://sites.google.com/site/blueroofmusic
> http://sites.google.com/site/highnorthinc
> mailto:[email-masked]
> Christmas through April:
>   579 Park Place  Saline, MI  48176
>   734-944-0094
> May to Christmas:
>   PO Box 221  Grand Marais, MI 49839
>   906-494-2434****
>
>
>
> ****
>
> On Tue, Sep 20, 2011 at 4:19 PM, Roberts, Daniel (IWS-ProgMgr) <
> [email-masked]> wrote:****
>
> Hi Ira,****
>
>  ****
>
> I am the Managing the work to support DLNA/UPnP in our printers.  What can
> I do for you?****
>
>  ****
>
> Regards,****
>
>  ****
>
> Daniel ****
>
> *From:* Yousey, Marc
> *Sent:* Tuesday, September 20, 2011 1:13 PM
> *To:* Ira McDonald; Michael Sweet; Paul Tykodi
> *Cc:* Roberts, Daniel (IWS-ProgMgr)
> *Subject:* RE: Could HP help w/ DLNA section of IPP Everywhere?****
>
>  ****
>
> Our man for that is Daniel Roberts (copied).  Hopefully he can help you
> out.****
>
>  ****
>
> M.****
>
>  ****
>
>  ****
>
> *From:* Ira McDonald [mailto:[email-masked]]
> *Sent:* Monday, September 19, 2011 3:08 PM
> *To:* Yousey, Marc; Michael Sweet; Ira McDonald; Paul Tykodi
> *Subject:* Could HP help w/ DLNA section of IPP Everywhere?****
>
>  ****
>
> Hi Marc,
>
> I have this action item from IPP WG to ask you about HP help
> with the DLNA/UPnP discovery section of IPP Everywhere.
>
> Can you help or recommend an HP person to do so?
>
> Cheers,
> - Ira
>
> Ira McDonald (Musician / Software Architect)
> Chair - Linux Foundation Open Printing WG
> Co-Chair - IEEE-ISTO PWG IPP WG
> Chair - TCG Embedded Systems Hardcopy SWG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music/High North Inc
> http://sites.google.com/site/blueroofmusic
> http://sites.google.com/site/highnorthinc
> mailto:[email-masked]
> Christmas through April:
>   579 Park Place  Saline, MI  48176
>   734-944-0094
> May to Christmas:
>   PO Box 221  Grand Marais, MI 49839
>   906-494-2434****
>
>  ****
>
> ** **
>

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp